Software required to use Web Kiosk

Web Browsers that have been tested by the vendor and will be supported for use with UNE's Web Kiosk:

Google Chrome (22.0) / Firefox (14.0.1) /Safari (5.1.7) / IE 7.0 / IE 8.0 / IE 9.0 / IE 10/ IE 11

ITD will endeavour to assist users on more recent non supported platforms (eg. OS 10.x, Netscape 4.x, etc.) but cannot guarantee achieving a workable solution. Other web browsers may be suitable but are not necessarily supported at UNE.